This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PShape
Name | ### resetMatrix()
Examples |
    PShape s;

    void setup() {
      size(100, 100);
      s = loadShape("ohio.svg");
      s.rotate(PI/6);
    }

    void draw() {
      background(204);
      shape(s);
    }

    void mousePressed() {
      // Removes all transformations applied to shape
      // Loads the identity matrix
      s.resetMatrix();
    }
Description | Replaces the current matrix of a shape with the identity matrix. The equivalent function in OpenGL is glLoadIdentity().
Syntax |
    sh.resetMatrix()
Parameters |
sh | PShape: any variable of type PShape
Returns | void
Related | rotate() scale() translate()

Updated on October 26, 2013 08:58:33pm PDT